## Modulemd.ModuleStreamV1 (Private) Modulemd.ModuleStreamV1 (Private) — ModulemdModuleStreamV1 methods that should only be used by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdModuleStreamV1 * | modulemd_module_stream_v1_parse_yaml ()
gboolean | modulemd_module_stream_v1_emit_yaml ()
gboolean | modulemd_module_stream_v1_includes_nevra ()

## Properties

char * | arch | Read / Write / Construct
ModulemdBuildopts * | buildopts | Read / Write
char * | community | Read / Write / Construct
char * | documentation | Read / Write / Construct
char * | tracker | Read / Write / Construct

## Types and Values

| ModulemdModuleStreamV1

## Object Hierarchy

        GObject
        ╰── ModulemdModuleStream
            ╰── ModulemdModuleStreamV1

## Description

## Functions

### modulemd_module_stream_v1_parse_yaml ()

    ModulemdModuleStreamV1 *
    modulemd_module_stream_v1_parse_yaml (ModulemdSubdocumentInfo *subdoc,
                                          gboolean strict,
                                          GError **error);

#### Parameters

subdoc | A ModulemdSubdocumentInfo representing a stream v1 document. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdModuleStreamV1 object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_module_stream_v1_emit_yaml ()

    gboolean
    modulemd_module_stream_v1_emit_yaml (ModulemdModuleStreamV1 *self,
                                         yaml_emitter_t *emitter,
                                         GError **error);

#### Parameters

self | This ModulemdModuleStreamV1 object. |
emitter | A libyaml emitter object positioned where a Module Stream document belongs. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the stream was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0

### modulemd_module_stream_v1_includes_nevra ()

    gboolean
    modulemd_module_stream_v1_includes_nevra
                                   (ModulemdModuleStreamV1 *self,
                                    const gchar *nevra_pattern);

#### Parameters

self | This ModulemdModuleStreamV1 object. |
nevra_pattern | A glob pattern to match against the NEVRA strings of the rpm artifacts in `self` . | [not nullable]

#### Returns

TRUE if this stream includes at least one RPM artifact that matches `nevra_pattern` . FALSE otherwise.

Since: 2.9

## Types and Values

### ModulemdModuleStreamV1

    typedef struct _ModulemdModuleStreamV1 ModulemdModuleStreamV1;

## Property Details

### The `“arch”` property

      “arch”                     char *

The architecture of the produced artifacts.

Owner: ModulemdModuleStreamV1

Flags: Read / Write / Construct

Default value: NULL

### The `“buildopts”` property

      “buildopts”                ModulemdBuildopts *

Build options for module components.

Owner: ModulemdModuleStreamV1

Flags: Read / Write

### The `“community”` property

      “community”                char *

The website address of the upstream community for this module.

Owner: ModulemdModuleStreamV1

Flags: Read / Write / Construct

Default value: NULL

### The `“documentation”` property

      “documentation”            char *

The website address of the upstream documentation for this module.

Owner: ModulemdModuleStreamV1

Flags: Read / Write / Construct

Default value: NULL

### The `“tracker”` property

      “tracker”                  char *

The website address of the upstream bug tracker for this module.

Owner: ModulemdModuleStreamV1

Flags: Read / Write / Construct

Default value: NULL